Subject: 25.0.50; Fix `pp.el' in line with new `elisp-mode.el'

From: Drew Adams <[email-masked]>
Date: Fri, 12 Dec 2014 18:46:39 -0800 (PST)

Library `elisp-mode.el' was added after Emacs 24.4.  Prior to that,
functions such as `pp-eval-last-sexp' were aligned with the non-pp
sister functions from `lisp-mode.el', such as `eval-last-sexp'.

This is no longer the case.  Please bring `pp.el' up to be parallel with
the behavior of `elisp-mode.el', just as it was parallel with the same
and similar code that was previously in `lisp-mode.el'.

In particular, `pp-eval-last-sexp' had the same evaluation behavior as
`eval-lisp-mode'.  The addition of pretty-printing was pretty much the
only difference.  The two no longer correspond.  Please fix this
disparity.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'